.view--content-events.view--block-upcoming .view__footer a::before {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  display: inline-block;
  font-feature-settings: normal;
  font-style: normal;
  font-synthesis: none;
  font-variant: normal;
  line-height: 1;
  text-align: center;
  text-rendering: auto;
}

.view--content-events.view--block-upcoming .view__header {
  --a--font-size: 1.5625rem;
  text-align: center;
}
.view--content-events.view--block-upcoming .view__rows {
  display: grid;
  row-gap: 18px;
}
@container (width > 700px) {
  .view--content-events.view--block-upcoming .view__rows {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(calc(var(--total-rows) - 2), min-content) 1fr;
    -moz-column-gap: 35.15625px;
         column-gap: 35.15625px;
  }
}
.view--content-events.view--block-upcoming .view__row {
  --view--row--margin-top: 0;
}
.view--content-events.view--block-upcoming .view__footer {
  text-align: center;
}
.view--content-events.view--block-upcoming .view__footer a {
  --a--font-size: 0.64rem;
  --a--color: var(--deemphasis);
}
.view--content-events.view--block-upcoming .view__footer a::before {
  font-family: "Font Awesome 7 Sharp Regular";
  content: "\f133";
  margin-right: 4.718592px;
}
@container (width > 700px) {
  .view--content-events.view--block-upcoming .view__row:first-child {
    grid-row: span calc(var(--total-rows) - 1);
  }
  .view--content-events.view--block-upcoming .view__row:not(:first-child) {
    grid-column: 2;
  }
  .view--content-events.view--block-upcoming.view--alignment-right .view__row:first-child {
    grid-column: 2;
  }
  .view--content-events.view--block-upcoming.view--alignment-right .view__row:not(:first-child) {
    grid-row: span calc(var(--total-rows) - 1);
  }
}
